Bug 519453 - [QLogic 5.5 bug] qlge - updates and fixes from upstream or testing. [NEEDINFO]
Summary: [QLogic 5.5 bug] qlge - updates and fixes from upstream or testing.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: 5.5
Assignee: Tom Coughlan
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 512186 (view as bug list)
Depends On:
Blocks: 533192 557292 481160 525215 533941
TreeView+ depends on / blocked
 
Reported: 2009-08-26 16:59 UTC by Marcus Barrow
Modified: 2010-03-30 07:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:12:43 UTC
cward: needinfo? (mbarrow)


Attachments (Terms of Use)
qlge fixes from upstream/testing p23 (65.73 KB, patch)
2009-11-18 14:28 UTC, Marcus Barrow
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Marcus Barrow 2009-08-26 16:59:25 UTC
Patches are being prepared for fixes from upstream and also  testing of the
in-box driver by QLogic and our partners.

Comment 1 Andrius Benokraitis 2009-08-26 18:48:32 UTC
*** Bug 512186 has been marked as a duplicate of this bug. ***

Comment 3 Chris Ward 2009-10-20 08:14:28 UTC
@QLogic, @IBM

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 Test
Phase, if it is accepted into the release. 

Please post a confirmation before Oct 23rd, 2009, 
including the contact information for testing engineers.

Comment 4 Marcus Barrow 2009-10-29 16:56:16 UTC
I don't have contact info at the moment, but I know both QLogic, IBM and others will be testing these patches.

Comment 5 John Jarvis 2009-10-29 17:11:48 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 6 Richard A Lary 2009-10-29 19:07:09 UTC
IBM will commit to testing these patches during RHEL5.5 test phase on IBM platforms.

Comment 7 Marcus Barrow 2009-11-18 14:28:53 UTC
Created attachment 370094 [details]
qlge fixes from upstream/testing p23

Comment 8 Don Zickus 2009-12-02 21:03:08 UTC
in kernel-2.6.18-176.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 9 Don Zickus 2009-12-02 21:14:30 UTC
in kernel-2.6.18-176.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 14 Chris Ward 2010-02-11 10:23:47 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 15 IBM Bug Proxy 2010-02-18 04:10:47 UTC
------- Comment From coschult@us.ibm.com 2010-02-17 23:04 EDT-------
Tested Beta 1 using a QLogic adapter (QLA8xxx 10Gb CNA). Driver present
after booting and card detected with no problems. Tested using netperf (np3d test suite) on local network. All tests passed.

Comment 17 errata-xmlrpc 2010-03-30 07:12:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.